From 413f3a41c9f627c62bbe50073826240989cae109 Mon Sep 17 00:00:00 2001
From: Akhil <mbirlang@ucsd.edu>
Date: Mon, 18 Jan 2021 18:50:45 -0800
Subject: [PATCH] Signed-off-by: Akhil <mbirlang@ucsd.edu> Added RGBX40

---
 yavta.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/yavta.c b/yavta.c
index b398da0..dfd4dc1 100644
--- a/yavta.c
+++ b/yavta.c
@@ -197,6 +197,7 @@ static struct v4l2_format_info {
 	{ "DV", V4L2_PIX_FMT_DV, 1 },
 	{ "MJPEG", V4L2_PIX_FMT_MJPEG, 1 },
 	{ "MPEG", V4L2_PIX_FMT_MPEG, 1 },
+	{ "RX40", V4L2_PIX_FMT_XBGR40, 1},
 };
 
 static const struct v4l2_format_info *v4l2_format_by_fourcc(unsigned int fourcc)
